version: "3.9"

services:
    springboot-backend:
        build:
            context: ./springboot-backend
        depends_on:
            - db
        ports:
            - 8080:8080
        environment:
            SPRING_DATASOURCE_URL: ${DATASOURCE_URL}
            SPRING_DATASOURCE_USERNAME: ${DATASOURCE_USERNAME}
            SPRING_DATASOURCE_PASSWORD: ${DATASOURCE_PASSWORD}
        volumes:
            - ./springboot-backend/target/dependency:/dependency
    db:
        image: "mysql:5.6"
        environment:
            MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD}
        volumes:
            - mysql:/var/lib/mysql
    liquibase-migrations:
        build:
            context: ./springboot-backend/liquibase
        depends_on:
            - db
        command:
            - --hub-mode=off
            - --changelog-file=master.xml
            - --driver=com.mysql.jdbc.Driver
            - --url=${DATASOURCE_URL}
            - --username=${DATASOURCE_USERNAME}
            - --password=${DATASOURCE_PASSWORD}
            - update
        volumes:
            - ./springboot-backend/migrations:/liquibase/changelog
volumes:
    mysql: